### Method

# Gio AppInfo launch_uris

#### Declaration [src]

    gboolean
    g_app_info_launch_uris (
      GAppInfo* appinfo,
      GList* uris,
      GAppLaunchContext* context,
      GError** error
    )

#### Description [src]

Launches the application. This passes the `uris` to the launched application as arguments, using the optional `context` to get information about the details of the launcher (like what screen it is on). On error, `error` will be set accordingly. If the application only supports one URI per invocation as part of their command-line, multiple instances of the application will be spawned.

To launch the application without arguments pass a `NULL` `uris` list.

Note that even if the launch is successful the application launched can fail to start if it runs into problems during startup. There is no way to detect this.

#### Parameters

`uris`

  Type: A list of `utf8`

  A list of URIs to launch.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`context`

  Type: `GAppLaunchContext`

  The launch context.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on successful launch, `FALSE` otherwise.